/**
  ******************************************************************************
  * @file           : Network.hpp
  * @author         : Dream
  * @brief          : None
  * @attention      : None
  * @date           : 24-10-3
  ******************************************************************************
  */

#ifndef NETWORK_HPP
#define NETWORK_HPP

#include <string>

// 处理网络请求
class Network {
public:
  // 发送 POST 请求
  static std::string post_request(const std::string& url, const std::string& postdata);

  static std::string custom_base64_decode(const std::string &encoded_string);

  static std::string custom_base64_decode_2(const std::string &encoded_string);

  static std::string base64_decode(const std::string &encoded_string);

  static std::string RC4Decrypt(const std::string &encrypted_data, const std::string &key);
};

#endif // NETWORK_HPP

